package com.heyu.api.data.dao.ai;
/**
* <p>
* AI角色配置表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.ai.AiTypeEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface AiTypeDao extends BaseMapper<AiTypeEntity> {


	AiTypeEntity selectAiTypeById(@Param("id")Long id);


	Long insertAiType(AiTypeEntity aiType);


	Long insertOrUpdateAiType(AiTypeEntity aiType);


	int updateAiTypeById(AiTypeEntity aiType);


	int updateCoverAiTypeById(AiTypeEntity aiType);


	int deleteAiTypeById(@Param("id")Long id);


}